Subject: Best medicines! GET THEM HERE!

From: Sex can <[email-masked]>
Date: Thu, 14 Jun 2007 15:53:36 +0300

Restore your sex life, or just give it a little kick.

Erectile dysfunction (ED), sometimes referred to as impotence, is the inability
for a sexually active male to obtain and sustain an erection for sexual
purposes. In the past, this has been very embarrassing for men, and a source
of anxiety for their partners, and, in fact, there has been very little
diagnostic testing or treatment options available until very recently.

Viagra can help you!

The benefits of Viagra:

 Helps men with ED achieve harder erections  Helps men with ED maintain
an erection during sex  Can work in as little as 14 minutes  Viagra-induced
erections satisfy the partners of men with ED  Has a proven safety record
 Works for men with ED who also have a wide range of health issues  Can
be taken with other medications  As safe for your heart as a sugar pill
  Visit our online pill shop!